#!/bin/bash
#
# Quick start for gnome l10n in Greek

echo 'Δημιουργία δομής καταλόγων l10n...'
mkdir l10n
cd l10n
mkdir PO
mkdir POT
mkdir Compendiums
cd Compendiums
mkdir GNOME
cd GNOME
echo 'Λήψη αρχείων .PO του GNOME 2.26...'
wget http://l10n.gnome.org/languages/el/gnome-2-26/ui.tar.gz
sleep 1
wget http://l10n.gnome.org/languages/el/gnome-2-26/doc.tar.gz
sleep 1
wget http://l10n.gnome.org/languages/el/fifth-toe/ui.tar.gz
sleep 1
wget http://l10n.gnome.org/languages/el/fifth-toe/doc.tar.gz
sleep 1
wget http://l10n.gnome.org/languages/el/gnome-office/ui.tar.gz
sleep 1
wget http://l10n.gnome.org/languages/el/gnome-extras/ui.tar.gz
sleep 1
wget http://l10n.gnome.org/languages/el/gnome-extras/doc.tar.gz
sleep 1
echo 'Η λήψη των αρχείων ολοκληρώθηκε.'
echo 'Αποσυμπίεση αρχείων...'
for f in *.tar.gz; do tar -xvvzf "$f"; done
rm *tar.gz
echo 
echo "Αυτή είναι η δομή των καταλόγων:"
echo "└─ l10n"
echo "    ├─ Compendiums"
echo "    │   └─ GNOME"
echo "    │       ├─ accerciser-help.HEAD.pot"
echo "    │       ├─ accerciser.HEAD.el.po"
echo "    │       ................."
echo "    │       ├─ zenity-help.HEAD.pot"
echo "    │       └─ zenity.HEAD.el.po"
echo "    ├─ PO"
echo "    └─ POT"
echo 
echo 'Η εργασία ολοκληρώθηκε.'
echo 'Για περισσότερα, δείτε http://wiki.gnome.gr/doku.php?id=translation:translationmemory'
